clc
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 12.16, Seite 181');
b2g=180/pi;
U=380;
IN=5.04;
nN=1450/60;
ns=1500/60;
cosphiN=0.84;
phiN=b2g*acos(cosphiN);
P1N=sqrt(3)*U*IN*cosphiN;
disp(' ');
disp(['P1N = ',sprintf(' %4.5f ',P1N/1000),'kW']);
disp(['phiN = ',sprintf(' %3.4f ',phiN),'']);
P0=310;
I0=42.6;
cosphi0=P0/(sqrt(3)*U*I0);
phi0=b2g*acos(cosphi0);
disp(' ');
disp(['P0 = ',sprintf(' %4.5f ',P0/1000),'kW']);
disp(['phi0 = ',sprintf(' %3.4f ',phi0),'']);
Uk=86.2;
IkV=5.04;
Pk=350;
IA=U*IkV/Uk;
disp(' ');
disp(['IA = ',sprintf(' %4.4f ',IA),'A']);
PiN=2400;
MiN=PiN/(2*pi*ns);
NE=2.2; % cm
AB=2.84;
KD=6.24;
MiA=MiN*AB/NE;
MiK=MiN*KD/NE;
PvR=120;
MR=PvR/(2*pi*nN);
disp(' ');
disp(['MR = ',sprintf(' %2.4f ',MR),'N m']);
MK=MiK-MR;
MN=MiN-MR;
disp(' ');
disp(['MK = ',sprintf(' %2.4f ',MK),'N m']);
disp(['MN = ',sprintf(' %2.4f ',MN),'N m']);

