clc
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 11.2, Seite 139');
A=2*(10*15 + 10*2 + 15*2); % Oberflche in cm^2
rho=8.8; % Nickel, Tab. 11.2; rho in g / cm^3
d=0.015; % Dicke in cm
m = A * d * rho; % g Kupfer
M=58.693; % Nickel, Tab. 11.1
z=2; % Nickel, Tab. 11.1
n=m/M;
F=96485; % Faraday-Konstante
Q = F * z * n;
J = 0.005; % Nickel, Tab. 11.2
t = Q / (A * J);
disp(' ');
disp(['t = ',sprintf(' %1.5e ',t),'s']);
th=t/3600;
disp(['t = ',sprintf(' %2.2f ',th),'h']);
U=2.5; % Nickel, Tab. 11.2
W = U*A*J*t;
disp(' ');
disp(['W = ',sprintf(' %1.5e ',W),'J']);
W=W/3600.0e3;
disp(['W = ',sprintf(' %1.5f ',W),'kWh']);
