clc
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 12.10, Seite 167');
U=230;
INenn=40.5;
n=1500/60;
P1=U*INenn;
P2=8000;
disp(' ');
disp(['P1 = ',sprintf(' %3.4f ',P1/1000),'kW']);
eta=P2/P1;
disp(['eta = ',sprintf(' %1.4f ',eta)]);
Ra=0.4; % Ankerwiderstand
Pvf=170;
Ia=INenn-Pvf/U;
Pva=Ra*Ia^2;
disp(' ');
disp(['Pva = ',sprintf(' %3.4f ',Pva),'W']);
PvB=2*Ia;
disp(['PvB = ',sprintf(' %3.4f ',PvB),'W']);
Pi=P1-Pvf-Pva-PvB;
disp(['Pi  = ',sprintf(' %4.4f ',Pi),'W']);
Uq=Pi/Ia;
disp(['Uq  = ',sprintf(' %3.4f ',Uq),'V']);
Mi=Pi/(2*pi*n);
disp(' ');
disp(['Mi = ',sprintf(' %3.4f ',Mi),'N m']);
MN=P2/(2*pi*n);
disp(['MN = ',sprintf(' %3.4f ',MN),'N m']);