clc
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 12.15, Seite 180');
b2g=180/pi;
U=380;
IN=5.04;
nN=1450/60;
ns=1500/60;
s=(ns-nN)/ns;
cosphiN=0.84;
phiN=b2g*acos(cosphiN);
P1N=sqrt(3)*U*IN*cosphiN;
disp(' ');
disp(['P1N = ',sprintf(' %4.5f ',P1N/1000),'kW']);
disp(['phiN = ',sprintf(' %3.4f ',phiN),'']);
P0=310;
I0=2.6;
cosphi0=P0/(sqrt(3)*U*I0);
phi0=b2g*acos(cosphi0);
disp(' ');
disp(['P0 = ',sprintf(' %4.5f ',P0/1000),'kW']);
disp(['phi0 = ',sprintf(' %3.4f ',phi0),'']);
PvR=120;
PFe=P0-PvR;
P2=2200;
Pmech=P2+PvR;
Pi=Pmech/(1-s);
P2Cu=Pi-Pmech;
P1Cu=P1N-Pi-PFe;
eta=P2/P1N;
disp(' ');
disp(['Pmech = ',sprintf(' %4.4f ',Pmech/1000),'kW']);
disp(['Pi = ',sprintf(' %4.4f ',Pi/1000),'kW']);
disp(' ');
disp(['P1Cu = ',sprintf(' %4.4f ',P1Cu),'W']);
disp(['P2Cu = ',sprintf(' %4.4f ',P2Cu),'W']);
disp(['PFe  = ',sprintf(' %4.4f ',PFe),'W']);
disp(' ');
disp(['eta = ',sprintf(' %4.4f ',eta*100),'%']);