clc
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 12.21, Seite 198');
b2g=180/pi;
Ustr=400/sqrt(3); % Strangspannung
Istr=25.2; % Strangstrom
Xd=3.84; % synchrone Reaktanz
P0=72.5; % Wirkleistung primrseitig
cosphi=1;
tantheta=Xd*Istr*cosphi/Ustr;
theta=atan(tantheta); % Polradwinkel im Bogenma
Up=Ustr/cos(theta); % Polradspannung
theta=b2g*theta;
disp(' ');
disp(['Up = ',sprintf(' %3.4f ',Up),'V']);
disp(['theta  = ',sprintf(' %2.3f ',theta),'']);
