clc
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 12.5, Seite 151');
PN=630.0e3;
tN=200 * 8; % Betriebszeit Nennlast
t0=24 * 365 - tN; % Zeit Leerlauf
disp(' ');
disp('Transformator nach DIN 42523');
P0=1400; Pk=5600;
etaN=1-(P0+Pk)/PN;
WV=(P0+Pk)*tN+P0*t0;
disp(['etaN = ',sprintf(' %1.4f ',etaN)]);
disp(['WV = ',sprintf(' %2.3f ',1.0e-6*WV),'MWh']);
disp(' ');
disp('Transformator mit reduzierten Leerlaufverlusten');
P0=1090; Pk=6400;
etaN=1-(P0+Pk)/PN;
WV=(P0+Pk)*tN+P0*t0;
disp(['etaN = ',sprintf(' %1.4f ',etaN)]);
disp(['WV = ',sprintf(' %2.3f ',1.0e-6*WV),'MWh']);
