clc
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 12.9, Seite 162');
U=400; % Auenleiterspannung
m=1500;
g=9.81;
v=1.2;
etaG=0.59;
PMot=m*g*v/etaG;
disp(' ');
disp(['PMot = ',sprintf(' %3.4f ',PMot/1000),'kW']);
n=970/60;
M=PMot/(2*pi*n);
disp(['M = ',sprintf(' %3.4f ',M),'N m']);
etaM=0.92;
cosphi=0.88;
S=PMot/(etaM*cosphi);
disp(['S = ',sprintf(' %3.4f ',S/1000),'kVA']);
I=S/(sqrt(3)*U);
disp(['I = ',sprintf(' %3.4f ',I),'A']);